/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strncpy.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: loic <marvin@42.fr>                        +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2018/11/14 22:32:05 by loic              #+#    #+#             */
/*   Updated: 2019/02/15 12:44:46 by loic             ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */


char			*ft_strncpy(char *dest, char *src, unsigned int n)
{	
	unsigned int i;

	i = 0;
	while(i < n && src[i] != '\0')
	{ 
		dest[i] = src[i];
		i++;
	}
	while (i < n)
	{
		dest[i] = '\0';
		i++;
	}
	return (dest);
}
